net.sf.jasperreports.components.headertoolbar

## Class HeaderToolbarElementUtils

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.HeaderToolbarElementUtils

-     public class HeaderToolbarElementUtils
      extends java.lang.Object

  Version:
    $Id: HeaderToolbarElementUtils.java 6989 2014-03-27 11:38:48Z narcism $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderToolbarElementUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copyOwnTextElementStyle(EditTextElementData textElementData, JRDesignTextElement textElement, java.util.Locale locale)`
    `static void` | `copyTextElementStyle(EditTextElementData textElementData, JRDesignTextElement textElement, java.util.Locale locale)`
    `static java.lang.String[]` | `extractColumnInfo(java.lang.String sortColumn)`
    `static java.lang.String` | `getBundleMessage(java.lang.String key, JasperReportsContext jasperReportsContext, java.lang.String bundleName, java.util.Locale locale)`
    `static java.lang.String` | `getCalendarDatePattern(JasperReportsContext jrContext, java.util.Locale locale)`
    `static java.lang.String` | `getCalendarTimePattern(JasperReportsContext jrContext, java.util.Locale locale)`
    `static ConditionalFormattingData` | `getConditionalFormattingData(JRDesignTextElement textElement, JasperReportsContext jasperReportsContext)`
    `static java.lang.String` | `getDatePattern(JasperReportsContext jrContext, java.util.Locale locale)`
    `static JRField` | `getField(java.lang.String name, JRDesignDataset dataSet)`
    `static java.lang.String` | `getFilterPattern(JasperReportsContext jasperReportsContext, java.util.Locale locale, FilterTypesEnum filterType)`
    `static FilterTypesEnum` | `getFilterType(java.lang.Class<?> clazz)`
    `static java.lang.String` | `getNumberPattern(JasperReportsContext jrContext, java.util.Locale locale)`
    `static SortOrderEnum` | `getSortOrder(java.lang.String sortOrder)`
    `static java.lang.String` | `getTimePattern(JasperReportsContext jrContext, java.util.Locale locale)`
    `static JRVariable` | `getVariable(java.lang.String name, JRDesignDataset dataSet)`
    `static boolean` | `isValidSortData(java.lang.String sortData)`
    `static java.lang.String` | `packSortColumnInfo(java.lang.String columnName, java.lang.String columnType, java.lang.String sortOrder)`
    `static void` | `updateConditionalFormattingData(ConditionalFormattingData cfd, java.lang.String conditionPattern, java.util.Locale locale, java.util.TimeZone timeZone)`
    `static void` | `updateFilterData(FilterData filterData, java.lang.String filterPattern, java.util.Locale locale, java.util.TimeZone timeZone)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderToolbarElementUtils

          public HeaderToolbarElementUtils()

  - ### Method Detail

    - #### extractColumnInfo

          public static java.lang.String[] extractColumnInfo(java.lang.String sortColumn)

    - #### packSortColumnInfo

          public static java.lang.String packSortColumnInfo(java.lang.String columnName,
                                            java.lang.String columnType,
                                            java.lang.String sortOrder)

    - #### isValidSortData

          public static boolean isValidSortData(java.lang.String sortData)

    - #### getSortOrder

          public static SortOrderEnum getSortOrder(java.lang.String sortOrder)

    - #### getFilterType

          public static FilterTypesEnum getFilterType(java.lang.Class<?> clazz)

    - #### copyOwnTextElementStyle

          public static void copyOwnTextElementStyle(EditTextElementData textElementData,
                                     JRDesignTextElement textElement,
                                     java.util.Locale locale)

    - #### copyTextElementStyle

          public static void copyTextElementStyle(EditTextElementData textElementData,
                                  JRDesignTextElement textElement,
                                  java.util.Locale locale)

    - #### updateFilterData

          public static void updateFilterData(FilterData filterData,
                              java.lang.String filterPattern,
                              java.util.Locale locale,
                              java.util.TimeZone timeZone)

    - #### getConditionalFormattingData

          public static ConditionalFormattingData getConditionalFormattingData(JRDesignTextElement textElement,
                                                               JasperReportsContext jasperReportsContext)

    - #### updateConditionalFormattingData

          public static void updateConditionalFormattingData(ConditionalFormattingData cfd,
                                             java.lang.String conditionPattern,
                                             java.util.Locale locale,
                                             java.util.TimeZone timeZone)

    - #### getField

          public static JRField getField(java.lang.String name,
                         JRDesignDataset dataSet)

    - #### getVariable

          public static JRVariable getVariable(java.lang.String name,
                               JRDesignDataset dataSet)

    - #### getFilterPattern

          public static java.lang.String getFilterPattern(JasperReportsContext jasperReportsContext,
                                          java.util.Locale locale,
                                          FilterTypesEnum filterType)

    - #### getNumberPattern

          public static java.lang.String getNumberPattern(JasperReportsContext jrContext,
                                          java.util.Locale locale)

    - #### getDatePattern

          public static java.lang.String getDatePattern(JasperReportsContext jrContext,
                                        java.util.Locale locale)

    - #### getTimePattern

          public static java.lang.String getTimePattern(JasperReportsContext jrContext,
                                        java.util.Locale locale)

    - #### getCalendarDatePattern

          public static java.lang.String getCalendarDatePattern(JasperReportsContext jrContext,
                                                java.util.Locale locale)

    - #### getCalendarTimePattern

          public static java.lang.String getCalendarTimePattern(JasperReportsContext jrContext,
                                                java.util.Locale locale)

    - #### getBundleMessage

          public static java.lang.String getBundleMessage(java.lang.String key,
                                          JasperReportsContext jasperReportsContext,
                                          java.lang.String bundleName,
                                          java.util.Locale locale)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com